<?php
/**
 * Createing an about us pannel for customizer
 */ 
 
// START ABOUT SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_aboutmeditationclass_section',
        array(
            'title' => __( 'About Us Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_aboutmeditationclass_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_aboutmeditationclass_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_aboutmeditationclass_section_disable',
                'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'aboutmeditationclass', 'lz_fitness_premium_aboutmeditationclass_section', $color='#ff'); 

    $wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutmeditationclass_title_heading',
            array(
                'settings'      => 'lz_fitness_aboutmeditationclass_title_heading',
                'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
                'label'         => __( 'About Us Title, Text & Content', 'lz-fitness-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Who We Are?', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutmeditationclass_title',
        array(
            'settings'      => 'lz_fitness_aboutmeditationclass_title',
            'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'lz-fitness-premium' )
        )
    );

$wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_subheading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi hendrerit elit turpis, a porttitor tellus sollicitudin at.Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutmeditationclass_subheading',
        array(
            'settings'      => 'lz_fitness_aboutmeditationclass_subheading',
            'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
            'type'          => 'textarea',
            'label'         => __( 'Text', 'lz-fitness-premium' )
        )
    );

$wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_text',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Lorem Ipsum is simply dummy text of the printing and tysetting industry. Lorem Ipsum has been the industry’s standard dumy text ever since the 1500s, when an unwn printer took a galley of type and scrambled it to make a type specimen book. remaining essentially unchanged. It was popularised in the with theLorem Ipsum is simply dummy text of the printing and eentially unchanged. Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. remaining essentially unchanged. It was popularised in the with theLorem Ipsum is simply dummy text of the printing and eentially unchanged.', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_aboutmeditationclass_text',
        array(
            'settings' =>'lz_fitness_aboutmeditationclass_text',
            'section' => 'lz_fitness_premium_aboutmeditationclass_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'lz-fitness-premium')
        )
    );
     // Heading color
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_HeadingColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Title color', '#4f4f4f');
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_TextColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Text color', '#feac65');
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_contentColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Content color', '#4f4f4f');   

lzCustomLable($wp_customize, 'lz_fitness_premium_aboutmeditationclass_lblbutton1display', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Display & Text Setting:');
// to show & hide another button
$wp_customize->add_setting( 'aboutmeditationclass_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'aboutmeditationclass_button_display', array( 'label' => 'Button Display', 'section' => 'lz_fitness_premium_aboutmeditationclass_section', 'settings' => 'aboutmeditationclass_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button

$wp_customize->add_setting(
    'lz_fitness_aboutmeditationclass',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'lz_fitness_aboutmeditationclass',
    array(
        'settings'      => 'lz_fitness_aboutmeditationclass',
        'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting('lz_fitness_aboutmeditationclasslink',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_aboutmeditationclasslink',
    array(
        'settings'      => 'lz_fitness_aboutmeditationclasslink',
        'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
        'type'          => 'url',
        'label'         => __( 'Button Url', 'gurukul' )
    )
);


lzCustomLable($wp_customize, 'lz_fitness_premium_aboutmeditationclass_lblImgTxt', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Colors:');

addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_ButtonColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Background color', '#feac65');
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_ButtonTextColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_ButtonBackgroundhoverColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Background Hover color', '#4f4f4f');
addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_ButtonBackgroundtexthoverColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Text Hover color', '#ffffff');
//addColorPalatOption($wp_customize, 'lz_fitness_aboutmeditationclass_ButtonBordersColor', 'lz_fitness_premium_aboutmeditationclass_section', 'Button Border Hover color', '#000000');




$wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutmeditationclass_image_heading',
            array(
                'settings'      => 'lz_fitness_aboutmeditationclass_image_heading',
                'section'       => 'lz_fitness_premium_aboutmeditationclass_section',
                'label'         => __( 'Right Image', 'lz-fitness-premium' ),
            )
        )
    );
    $wp_customize->add_setting(
        'lz_fitness_aboutmeditationclass_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'lz_fitness_aboutmeditationclass_image',
            array(
                'section' => 'lz_fitness_premium_aboutmeditationclass_section',
                'settings' => 'lz_fitness_aboutmeditationclass_image',
                'description' => __('Recommended Image Size: 649X687px', 'lz-fitness-premium')
            )
        )
    );




